Bug 195889 - alltray rpm missing /usr/lib/liballtray.so.0.0.0
alltray rpm missing /usr/lib/liballtray.so.0.0.0
Product: Fedora
Classification: Fedora
Component: alltray (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
Depends On:
Blocks: FE6Target
  Show dependency treegraph
Reported: 2006-06-19 08:01 EDT by Neil Bird
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-04 06:08:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Neil Bird 2006-06-19 08:01:55 EDT
Description of problem:
The alltray RPM does not contain the liballtray.so file & its variants.  The
.spec file specifically removes this file pre-install!

Version-Release number of selected component (if applicable):

How reproducible:

Additional info:
This manifests in at least one of not two ways:

- all alltray uses spew LD_PRELOAD errors about liballtray.so.0.0.0 being missing.

- some apps. fail to work correctly (they did before when I was on FC3;  the
recent update to FC5 showed this fault), e.g., mozilla sunbird or thunderbird.

These guys startup unattached to alltray, which doesn't cerate a 'tray' icon but
sits idling in the background [can be coaxed into life, but only sometimes from
the command line;  any background/login runs of alltray fail as above).

Rebuilding the RPM with the offending 'rm $RPM_BUILD_ROOT%{_libdir}/*.so*' taken
out of the .spec makes alltray work without repoting the errors and correctly
with sunbird/thunderbird.
Comment 1 Denis Leroy 2006-09-03 19:21:36 EDT
Taking ownership.
Comment 2 Denis Leroy 2006-09-04 06:08:56 EDT
Fixed. Updated to version 0.69 for FC-4, FC-5 and Rawhide. Semes to work fine
with xmms and thunderbird.

Note You need to log in before you can comment on or make changes to this bug.